tests: remove IRIX support from tests also supported on Linux
[xfstests-dev.git] / tests / generic / 013
1 #! /bin/bash
2 # FS QA Test No. 013
3 #
4 # fsstress
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 seqres=$RESULT_DIR/$seq
27 echo "QA output created by $seq"
28
29 here=`pwd`
30 tmp=/tmp/$$
31 status=0        # success is the default!
32 trap "_cleanup; exit \$status" 0 1 2 3 15
33
34 _cleanup()
35 {
36     cd /
37     # we might get here with a RO FS
38     _test_cycle_mount
39     # now remove fsstress directory.
40     rm -rf $TEST_DIR/fsstress.$$.*
41 }
42
43 _filesize()
44 {
45     ls -l $1 | $AWK_PROG '{print "    filesize = " $5}'
46 }
47
48 # get standard environment, filters and checks
49 . ./common/rc
50 . ./common/filter
51
52 _do_test()
53 {
54     _n="$1"
55     _param="$2"
56     _count="$3"
57
58     out=$TEST_DIR/fsstress.$$.$_n
59     rm -rf $out
60     if ! mkdir $out
61     then
62         echo "    failed to mkdir $out"
63         status=1
64         exit
65     fi
66
67     echo ""
68     echo "-----------------------------------------------"
69     echo "fsstress.$_n : $_param"
70     echo "-----------------------------------------------"
71     # -m limits number of users/groups so check doesn't fail (malloc) later
72     dbgoutfile=$seqres.full
73     if ! $FSSTRESS_PROG $_param $FSSTRESS_AVOID -v -m 8 -n $_count -d $out >>$dbgoutfile 2>&1
74     then
75         echo "    fsstress (count=$_count) returned $? - see $seqres.full"
76         echo "--------------------------------------"       >>$seqres.full
77         echo "$_n - output from fsstress:"                  >>$seqres.full
78         echo "--------------------------------------"       >>$seqres.full
79         echo "<NOT LOGGED>"                                 >>$seqres.full
80         #cat $tmp.out                                       >>$seqres.full
81         status=1
82     fi
83
84     _check_test_fs
85 }
86
87 # real QA test starts here
88 _supported_fs generic
89 _supported_os Linux
90 _require_test
91
92 rm -f $seqres.full
93 echo "brevity is wit..."
94
95 count=1000
96 procs=20
97
98 _check_test_fs
99
100 # the default
101
102 _do_test 1 "-r" $count
103
104 # and the default with multiprocess
105
106 _do_test 2 "-p $procs -r" $count
107
108 # from Glen's notes
109
110 _do_test 3 "-p 4 -z -f rmdir=10 -f link=10 -f creat=10 -f mkdir=10 -f rename=30 -f stat=30 -f unlink=30 -f truncate=20" $count
111
112 # if all ok by here then probably don't need $seqres.full
113 rm -f $seqres.full
114
115 exit
116
117 # Test with error injection:
118 #
119 # (error injection)
120 # fsstress -n 1000 -d $scratch -p 4 -z -f rmdir=10 -f link=10 -f creat=10 \
121 #          -f mkdir=10 -f rename=30 -f stat=30 -f unlink=30 -f truncate=20 \
122 #          -e 1
123 #
124 # Error values 1 - 6 test IFLUSH
125 #         1 - corrupt buffer being flushed to di_core.di_magic
126 #         2 - corrupt inode being flushed i_d.di_magic
127 #         3 - corrupt S_IFREG format check
128 #         4 - corrupt S_IFDIR format check
129 #         5 - corrupt i_d.di_nextents
130 #         6 - corrupt i_d.di_forkoff > sb_inodesize